[arch-commits] Commit in gnome-python/repos (extra-i686 extra-i686/PKGBUILD)

Jan de Groot jgc at archlinux.org
Sun Apr 5 18:24:38 EDT 2009


    Date: Sunday, April 5, 2009 @ 18:24:38
  Author: jgc
Revision: 33904

Merged revisions 33902 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/gnome-python/trunk

........
  r33902 | jgc | 2009-04-05 22:21:39 +0000 (Sun, 05 Apr 2009) | 2 lines
  
  upgpkg: gnome-python 2.26.0-2
      Revert to classic autotools
........

Modified:
  gnome-python/repos/extra-i686/	(properties)
  gnome-python/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)


Property changes on: gnome-python/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /gnome-python/trunk:1-31996
   + /gnome-python/trunk:1-33903

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-04-05 22:21:51 UTC (rev 33903)
+++ extra-i686/PKGBUILD	2009-04-05 22:24:38 UTC (rev 33904)
@@ -4,11 +4,11 @@
 
 pkgname=gnome-python
 pkgver=2.26.0
-pkgrel=1
+pkgrel=2
 pkgdesc="gnome-python is a set of interfaces to gnome-libs."
 arch=(i686 x86_64)
 license=('LGPL')
-depends=('pygtk>=2.14.1' 'pyorbit>=2.24.0' 'libgnomeui>=2.24.1')
+depends=('pygtk>=2.14.1-3' 'pyorbit>=2.24.0' 'libgnomeui>=2.24.1')
 makedepends=('pkgconfig')
 options=('!libtool')
 url="http://www.pygtk.org/"
@@ -17,7 +17,7 @@
 
 build() {
   cd "${srcdir}/${pkgname}-${pkgver}"
-  ./waf configure --prefix=/usr || return 1
-  ./waf build ${MAKEFLAGS} || return 1
-  ./waf install --destdir="${pkgdir}" || return 1
+  ./configure --prefix=/usr || return 1
+  make || return 1
+  make install DESTDIR="${pkgdir}" || return 1
 }



More information about the arch-commits mailing list